/* Download font 'Rubik' from the internet */
/* If you'd like, you could use your own font. Please go to https://fonts.google.com/ and choose your favourite */
@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* This is called CSS Custom Properties */
/* https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties */
:root {
  --main-bg-color: #ffffff;
  --color-black: #180202;
  --color-white: #ffffff;
  --color-red: #ff4948;
  --color-light-red: #e86564;
  --pink: #fff4f4;
}

/* COMMON PAGE STYLES */
* {
  box-sizing: border-box;
}

html {
  font-family: "Rubik", sans-serif;
  font-size: 16px;
  background-color: var(--main-bg-color);
  color: var(--color-black);
}

body {
  width: 100%;
}

h1,
h2,
h3 {
  margin: 0;
}

p {
  margin: 0 0 10px;
}

p:last-of-type {
  margin-bottom: 0;
}

ul {
  padding: 0;
  margin: 0;
  text-decoration: none;
  list-style: none;
}

li a {
  text-decoration: none;
}

.heading {
  font-weight: 700;
}

.heading--align-center {
  text-align: center;
}

.heading--1 {
  font-size: 36px;
  line-height: 100%;
  text-transform: uppercase;
  color: var(--color-white);
  margin-bottom: 15px;
}

.heading--2 {
  font-size: 31px;
  line-height: 140%;
  color: var(--color-black);
}

.heading--3 {
  font-size: 44px;
  line-height: 130%;
  margin-bottom: 5px;
}

.heading-section {
  text-align: center;
  margin-bottom: 20px;
}

.heading-section .heading--2 {
  margin-bottom: 20px;
}

.subtile {
  font-weight: 500;
  font-size: 22px;
  line-height: 140%;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.list--arrow-point {
  margin-right: 55px;
}

.list--arrow-point .list__el {
  padding: 20px 0 20px 35px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  position: relative;
  font-size: 22px;
  line-height: 140%;
  display: inline-flex;
  align-items: center;
  width: 100%;
}

.list--arrow-point .list__el:last-child {
  padding-bottom: 0;
  border-bottom: none;
}

.list--arrow-point .list__el::before {
  content: "";
  width: 23px;
  height: 23px;
  left: 0;
  position: absolute;
  background: url("../assets/icons/arrow-in-circle.svg") no-repeat center;
}

.container {
  padding: 0 20px;
  margin: 0 auto;
  max-width: 480px;
}

.container--footer {
  padding: 0 30px;
}

.inline {
  display: flex;
}

.app {
  margin: 0 auto;
  overflow: hidden;
}

.btn {
  padding: 15px 20px;
  font-weight: 500;
  font-size: 22px;
  line-height: 140%;
  color: var(--color-red);
  border-radius: 50px;
  border: none;
  width: 100%;
  text-decoration: none;
  display: inline-flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.btn--accent-color {
  background-color: var(--color-red);
  color: var(--color-white);
}

.btn--white {
  color: var(--color-red);
  background-color: var(--color-white);
}

.section {
  margin: 40px 0 120px;
  overflow: hidden;
}

.section--slider {
  padding: 40px 0 80px;
  margin: 0;
}

.section:last-of-type {
  margin: 115px 0 50px;
}

.nav .nav__list {
  display: flex;
}

.nav--footer {
  display: none;
}

/* header */
.header {
  position: absolute;
  width: 100%;
}

.header .nav {
  display: none;
}

.header__content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 0 0;
}

.mobile-menu button {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

/* hero */
.hero {
  background: linear-gradient(74.79deg, #ff9292 -7.33%, #de5150 90.21%);
}

.hero__container {
  padding: 135px 0 35px;
}

.hero__img {
  margin: 0 auto 10px;
  width: calc(100% - 20px);
  position: relative;
}

.hero__img img {
  object-fit: contain;
  width: 100%;
  height: 100%;
}

.hero__content .subtile {
  color: var(--color-white);
  margin-bottom: 15px;
}

.hero__content .btn {
  width: 100%;
}

/* price */

.price {
  margin-bottom: 30px;
  display: flex;
  align-items: center;
}

.price__item {
  color: var(--color-white);
}

.price__item:first-child {
  font-weight: 700;
  font-size: 44px;
  line-height: 130%;
  padding-right: 30px;
  border-right: 2px solid #ffffff;
}

.price__item:last-child {
  font-weight: 500;
  font-size: 31px;
  line-height: 140%;
  text-decoration-line: line-through;
  opacity: 0.7;
  margin-left: 30px;
}

/* slider */
.slider {
  margin-top: 40px;
}

.slider__action {
  border: none;
  background-color: transparent;
  position: relative;
  height: 20px;
}

.slider__action img {
  transform: scaleY(1.5);
  height: 20px;
}

.slider__wrapper {
  display: flex;
  align-items: center;
}

.slider__items {
  display: flex;
  justify-content: center;
}

.slider__item {
  display: none;
  width: calc(100% - 20px);
  position: relative;
}

.slider__item img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.slider__item:nth-child(2) {
  position: relative;
  width: calc(100% - 20px);
  display: block;
  aspect-ratio: 266/249;
}

.slider__item--active {
  filter: drop-shadow(0 0 36px rgba(126, 118, 118, 0.2));
  border-radius: 30px;
}

/* list with icon */
.list--icon-content {
  margin-top: 30px;
}

.list--icon-content .list__el {
  margin-bottom: 40px;
}

.icon-content {
  display: flex;
  align-items: center;
  gap: 20px;
}

.icon-content__icon {
  flex: 0 0 auto;
  position: relative;
  width: 98px;
  height: 98px;
}

.icon-content__icon img {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: absolute;
}

.icon-content__icon:before {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  content: "";
  position: absolute;
  border: 2px solid #fdd8d8;
  width: 69px;
  height: 69px;
  border-radius: 50%;
}

.icon-content__icon:after {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  content: "";
  position: absolute;
  border: 5px solid #fdd8d8;
  width: 98px;
  height: 98px;
  border-radius: 50%;
}

.icon-content__text .heading--3 {
  font-weight: 500;
  font-size: 31px;
  line-height: 140%;
}

.icon-content__text p {
  opacity: 0.7;
  margin-bottom: 10px;
}

.icon-content__text .link {
  color: var(--color-red);
  font-weight: 500;
}

/* latest product */
.columns--3 .columns__column:first-child,
.columns--3 .columns__column:last-child {
  display: none;
}

.card {
  min-width: 280px;
}

.card__top {
  width: calc(100% - 25px);
  height: 100%;
  position: relative;
}

.card__image-container {
  position: relative;
  z-index: 1;
  aspect-ratio: 330/380;
}

.card__image {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  width: calc(100% - 40px);
  margin-left: 20px;
}

.card__image-bg {
  z-index: -1;
  top: 0;
  position: absolute;
  margin-top: 45px;
  aspect-ratio: 1/1;
  width: 100%;
  background: #e6f1ff;
  border-radius: 30px;
  /* height: calc(100% - 45px); */
}

.card__cart {
  cursor: pointer;
  z-index: 2;
  top: 15px;
  left: auto;
  right: -25px;
  position: absolute;
  background: #e5f1ff;
  border: 6px solid #ffffff;
  border-radius: 50%;
  width: 68px;
  height: 68px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.card--pink .card__image-bg,
.card--pink .card__cart {
  background: #ffe5ee;
}

.card--green .card__image-bg,
.card--green .card__cart {
  background: #e5fffb;
}

.card__text {
  align-items: baseline;
  gap: 25px;
}

.card__text .large {
  font-size: 22px;
  line-height: 140%;
}

.card__bottom {
  margin-top: 35px;
}

.rating {
  display: flex;
  align-items: center;
  gap: 50px;
  margin-bottom: 10px;
}

.rating__stars-wrapper {
  display: flex;
  gap: 8px;
}

.rating__value {
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
}

/* split-content */
.split-content .image {
  aspect-ratio: 280/238;
  min-width: 280px;
  width: 100%;
}

/* subscribe */

.card-subscribe {
  border-radius: 20px;
  background-color: var(--pink);
  padding: 55px 15px 35px;
  margin: 0 -20px;
  max-width: 710px;
}

.card-subscribe .heading-section {
  margin-bottom: 35px;
}

.form__field label {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  -webkit-clip-path: inset(100%);
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

input {
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  padding: 15px;
  border-radius: 50px;
  border: none;
  width: 100%;
  margin-bottom: 40px;
}

input::placeholder {
  opacity: 0.3;
}

/* footer styles start*/
.footer {
  padding: 60px 0;
  background-color: var(--color-light-red);
}

.footer__content {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* social link */
.social {
  display: flex;
  gap: 10px;
}

.social__item {
  background-color: #ffffff;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  position: relative;
  cursor: pointer;
}

.social__link {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* footer styles finish*/

@media screen and (min-width: 768px) {
  .container {
    padding: 0 30px;
    margin: 0 auto;
    max-width: 1210px;
  }

  .heading--1 {
    font-size: 99px;
    margin-bottom: 45px;
  }

  .heading--2 {
    font-size: 31px;
    line-height: 140%;
  }

  .heading--3 {
    font-size: 44px;
    line-height: 130%;
    margin-bottom: 5px;
  }

  .btn {
    padding: 15px 45px;
  }

  /* header */
  .header .nav {
    display: block;
  }
  .nav__list {
    display: flex;
  }

  .nav__item {
    background-color: var(--color-white);
    width: 47px;
    height: 47px;
    border-radius: 50%;
    margin: 0 30px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }

  .nav__item:before {
    content: "";
    position: absolute;
    width: 2px;
    height: 45px;
    right: -30px;
    background-color: var(--color-white);
    opacity: 0.5;
  }

  .nav__item:first-child {
    margin-left: 0;
  }

  .nav__item:last-child {
    margin-right: 0;
  }

  .nav__item:last-child::before {
    content: none;
  }

  /* hero */

  .hero__container {
    display: flex;
    align-items: center;
    gap: 50px;
    padding: 165px 0 100px;
  }

  .hero__img {
    margin: 0;
    width: 50%;
    position: relative;
  }

  .hero__img img {
    object-fit: contain;
    width: 100%;
    height: 100%;
  }

  .hero__content {
    width: 50%;
    flex: 0 0 auto;
  }

  .hero__content .subtile {
    color: var(--color-white);
    margin-bottom: 15px;
  }

  .hero__content .btn {
    width: auto;
  }

  /* price */

  .price {
    margin-bottom: 35px;
  }

  /* slider section */
  .slider__action {
    height: 30px;
  }

  .slider__wrapper {
    justify-content: space-between;
  }

  .slider__items {
    width: 100%;
    max-width: 960px;
  }

  .slider__action img {
    transform: none;
    height: 30px;
  }

  .slider__item {
    width: 100%;
    max-width: 450px;
    display: block;
    flex: 1 1 auto;
  }

  .slider__item:first-child,
  .slider__item:last-child {
    max-width: 450px;
    transform: scale(0.75);
    aspect-ratio: 1/1;
    z-index: -1;
    margin-right: -65px;
  }

  .slider__item:first-child {
    margin-right: -65px;
  }

  .slider__item:last-child {
    margin-left: -65px;
  }

  .slider__item:nth-child(2) {
    width: 100%;
    aspect-ratio: 1/1;
  }

  /* split-content */
  .split-content {
    display: flex;
    align-items: center;
    gap: 35px;
  }

  .split-content__column {
    width: 50%;
  }

  .split-content__column--large {
    width: 65%;
  }

  .split-content__column--small {
    width: 35%;
  }

  /* latest product */
  .columns--3 {
    display: flex;
    column-gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  .columns--3 .columns__column {
    width: 100%;
    max-width: 360px;
  }

  .columns--3 .columns__column:first-child,
  .columns--3 .columns__column:last-child {
    display: block;
  }

  .card {
    position: relative;
  }

  .card-subscribe {
    margin: 0 auto;
  }

  .form {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .form .btn {
    width: auto;
  }

  .form__field {
    margin-right: -45px;
    width: 100%;
  }

  .form__field input {
    margin: 0;
    height: 61px;
  }
}
